# \Thelia\Core\Event\InternalCartEvent

Base class used for internal event like creating new Customer, adding item to cart, etc

Class InternalEvent

## Summary

Methods
Properties
Constants
__construct()
$cart
No constants found
No protected methods found
No protected properties found
N/A
No private methods found
No private properties found
N/A

File
  Core/Event/Internal/CartEvent.php
Package
  \Default
Class hierarchy
  \Symfony\Component\EventDispatcher\Event
  \Thelia\Core\Event\Internal\InternalEvent
  \Thelia\Core\Event\Internal\CartEvent

## Tags

None found

## Properties

### $cart

    $cart

#

## Tags

None found

## Methods

### __construct()

    __construct(\Thelia\Model\Cart $cart)

#### Parameters

\Thelia\Model\Cart | $cart |

#

## Tags

None found

### CartEvent.php